SETPWC(1)

NAME
setpwc - program to set settings specific to Philips (and compatibles like Logitech and Creative) WebCams.

SYNOPSIS
setpwc [options]

DESCRIPTION
setpwc is a program that can set and query settings of Philips (and compatibles like Logitech and Creative) WebCams.

OPTIONS

-h  Show summary of options.

-p  Dump current settings.

-d dev
    Device to use, default /dev/video0.

-f x
    Set framerate, 0-63.

-b  Store settings in nonvolatile RAM.

-r  Restore settings from nonvolatile RAM.

-x  Restore factory settings.

-c x
    Set compression preference, 0-3.

-g x
    Set automatic gain control, 0-65535.

-s x
    Set shutter speed, 1-65535.

-w setting
    Set automatic white balance mode, auto/manual/indoor/outdoor/fl.

-a x
    Set red-balance (only if -w manual), 0-65535.

-e x
    Set blue-balance (idem), 0-65535.

-i x
    Set speed of automatic white balance, 1-65535.

-j  Set delay for automatic white balance, 1-65535.

-k  Set led on-time in ms, 0-2550.

-l x
    Set led off-time.

-m x
    Set electronic sharpness, 0-65535.

-n x
    Set backligth compensation, 0=off, other=on.

-o x
    Set antiflicker mode, 0=off, other=on.

-q x
    Set noise reduction mode, 0=none...3=high.

-t x
    Reset pan (bit 0) and/or tilt (bit 1).

-u  Query pan/tilt status.

-y x
    Set pan position.

-x x
    Set tilt position.

AUTHOR
setpwc was written by Folkert van Heusden <folkert@vanheusden.com>.

This manual page was written by Anders Lennartsson <anders@lennartsson.se>. for the Debian project (but may be used by others).